Bug 254668 - Dolphin crashed while dragging some files
Summary: Dolphin crashed while dragging some files
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Plasma
Component: style (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-19 19:08 UTC by Alvaro Manuel Recio Perez
Modified: 2011-09-22 18:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alvaro Manuel Recio Perez 2010-10-19 19:08:40 UTC
Application: dolphin (1.5)
KDE Platform Version: 4.5.2 (KDE 4.5.2)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-22-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:

I don't really know how to trigger this bug but I manage to crash Dolphin three times while trying this setup.

I had two Dolphin windows open. In one, I had selected two PDF files I just downloaded. In the other, I opened the folder I wanted to move the files to. While draggin the files I hovered the location bar and a popup with some subfolders at some level of the path was shown. I dropped the files there but selected "Cancel". Then started the dragging operation again and, when I reached the second windows Dolphin crashed.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fdb6a90d760 (LWP 12225))]

Thread 2 (Thread 0x7fdb569e6710 (LWP 12230)):
#0  0x00007fdb6a1ed1d3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fdb61ddf009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fdb61ddf45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fdb666221e6 in QEventDispatcherGlib::processEvents (this=0x10af030, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007fdb665f4a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fdb665f4dec in QEventLoop::exec (this=0x7fdb569e5db0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fdb664ff2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007fdb665d45f8 in QInotifyFileSystemWatcherEngine::run (this=0x141f600) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fdb6650227e in QThreadPrivate::start (arg=0x141f600) at thread/qthread_unix.cpp:266
#9  0x00007fdb64367971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007fdb6a1f991d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fdb6a90d760 (LWP 12225)):
[KCrash Handler]
#6  Oxygen::TileSet::render (this=0x1474220, r=..., p=0x7fffc5b0b4d0, t=) at ../../../libs/oxygen/oxygentileset.cpp:113
#7  0x00007fdb5ced1beb in Oxygen::Style::renderMenuItemRect (this=0xdddba0, opt=0x7fffc5b0b2e0, r=<value optimized out>, base=<value optimized out>, pal=<value optimized out>, p=0x7fffc5b0b4d0, opacity=<value optimized out>) at ../../../kstyles/oxygen/oxygenstyle.cpp:5079
#8  0x00007fdb5cee14ac in Oxygen::Style::drawMenuItemPrimitive (this=0xdddba0, primitive=<value optimized out>, opt=0x7fffc5b0b2e0, r=..., pal=..., flags=) at ../../../kstyles/oxygen/oxygenstyle.cpp:1729
#9  0x00007fdb5cecf3ac in Oxygen::Style::drawKStylePrimitive (this=0xdddba0, widgetType=<value optimized out>, primitive=<value optimized out>, opt=<value optimized out>, r=..., palette=<value optimized out>, flags=) at ../../../kstyles/oxygen/oxygenstyle.cpp:1137
#10 0x00007fdb67f8f6c0 in KStyle::drawControl (this=0xdddba0, element=<value optimized out>, option=0x7fffc5b0b2e0, p=<value optimized out>, widget=0x7fffc5b0cf30) at ../../kdeui/kernel/kstyle.cpp:1905
#11 0x00007fdb5cee1b0b in Oxygen::Style::drawControl (this=0xdddba0, element=QStyle::CE_MenuItem, option=0x7fffc5b0b2e0, p=0x7fffc5b0b4d0, widget=0x7fffc5b0cf30) at ../../../kstyles/oxygen/oxygenstyle.cpp:1015
#12 0x00007fdb6768fe54 in QMenu::paintEvent (this=0x7fffc5b0cf30, e=<value optimized out>) at widgets/qmenu.cpp:2176
#13 0x00007fdb6727cc2e in QWidget::event (this=0x7fffc5b0cf30, event=0x7fffc5b0bd80) at kernel/qwidget.cpp:8333
#14 0x00007fdb6768f90b in QMenu::event (this=0x7fffc5b0cf30, e=0x7fffc5b0bd80) at widgets/qmenu.cpp:2410
#15 0x00007fdb67226fdc in QApplicationPrivate::notify_helper (this=0xd9ce70, receiver=0x7fffc5b0cf30, e=0x7fffc5b0bd80) at kernel/qapplication.cpp:4396
#16 0x00007fdb6722caed in QApplication::notify (this=0x7fffc5b0e270, receiver=0x7fffc5b0cf30, e=0x7fffc5b0bd80) at kernel/qapplication.cpp:4277
#17 0x00007fdb67f7a4d6 in KApplication::notify (this=0x7fffc5b0e270, receiver=0x7fffc5b0cf30, event=0x7fffc5b0bd80) at ../../kdeui/kernel/kapplication.cpp:310
#18 0x00007fdb665f5cdc in QCoreApplication::notifyInternal (this=0x7fffc5b0e270, receiver=0x7fffc5b0cf30, event=0x7fffc5b0bd80) at kernel/qcoreapplication.cpp:732
#19 0x00007fdb6728367d in sendSpontaneousEvent (this=0x170fa40, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x17284b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#20 QWidgetPrivate::drawWidget (this=0x170fa40, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x17284b0) at kernel/qwidget.cpp:5420
#21 0x00007fdb67457408 in QWidgetBackingStore::sync (this=0x17284b0) at painting/qbackingstore.cpp:1328
#22 0x00007fdb67276730 in QWidgetPrivate::syncBackingStore (this=0x170fa40) at kernel/qwidget.cpp:1805
#23 0x00007fdb6727d2f5 in QWidget::event (this=0x7fffc5b0cf30, event=0x170dec0) at kernel/qwidget.cpp:8480
#24 0x00007fdb6768f90b in QMenu::event (this=0x7fffc5b0cf30, e=0x170dec0) at widgets/qmenu.cpp:2410
#25 0x00007fdb67226fdc in QApplicationPrivate::notify_helper (this=0xd9ce70, receiver=0x7fffc5b0cf30, e=0x170dec0) at kernel/qapplication.cpp:4396
#26 0x00007fdb6722caed in QApplication::notify (this=0x7fffc5b0e270, receiver=0x7fffc5b0cf30, e=0x170dec0) at kernel/qapplication.cpp:4277
#27 0x00007fdb67f7a4d6 in KApplication::notify (this=0x7fffc5b0e270, receiver=0x7fffc5b0cf30, event=0x170dec0) at ../../kdeui/kernel/kapplication.cpp:310
#28 0x00007fdb665f5cdc in QCoreApplication::notifyInternal (this=0x7fffc5b0e270, receiver=0x7fffc5b0cf30, event=0x170dec0) at kernel/qcoreapplication.cpp:732
#29 0x00007fdb665f8c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0xd74350) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#30 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0xd74350) at kernel/qcoreapplication.cpp:1373
#31 0x00007fdb66622653 in sendPostedEvents (s=0xda0590) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#32 postEventSourceDispatch (s=0xda0590) at kernel/qeventdispatcher_glib.cpp:277
#33 0x00007fdb61ddb342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#34 0x00007fdb61ddf2a8 in ?? () from /lib/libglib-2.0.so.0
#35 0x00007fdb61ddf45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#36 0x00007fdb66622193 in QEventDispatcherGlib::processEvents (this=0xd73e60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#37 0x00007fdb672d9a4e in QGuiEventDispatcherGlib::processEvents (this=0x1474220, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#38 0x00007fdb665f4a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#39 0x00007fdb665f4dec in QEventLoop::exec (this=0x7fffc5b0ce50, flags=) at kernel/qeventloop.cpp:201
#40 0x00007fdb6768aec5 in QMenu::exec (this=0x7fffc5b0cf30, p=<value optimized out>, action=0x0) at widgets/qmenu.cpp:2054
#41 0x00007fdb69a12776 in KonqOperations::doDropFileCopy (this=0x15506a0) at ../../../../apps/lib/konq/konq_operations.cpp:610
#42 0x00007fdb69a13238 in KonqOperations::asyncDrop (this=0x15506a0, destItem=...) at ../../../../apps/lib/konq/konq_operations.cpp:354
#43 0x00007fdb69a13ac0 in KonqOperations::qt_metacall (this=0x15506a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x1579000) at ./konq_operations.moc:89
#44 0x00007fdb66607bde in QObject::event (this=0x15506a0, e=0x1474220) at kernel/qobject.cpp:1219
#45 0x00007fdb67226fdc in QApplicationPrivate::notify_helper (this=0xd9ce70, receiver=0x15506a0, e=0x1708900) at kernel/qapplication.cpp:4396
#46 0x00007fdb6722caed in QApplication::notify (this=0x7fffc5b0e270, receiver=0x15506a0, e=0x1708900) at kernel/qapplication.cpp:4277
#47 0x00007fdb67f7a4d6 in KApplication::notify (this=0x7fffc5b0e270, receiver=0x15506a0, event=0x1708900) at ../../kdeui/kernel/kapplication.cpp:310
#48 0x00007fdb665f5cdc in QCoreApplication::notifyInternal (this=0x7fffc5b0e270, receiver=0x15506a0, event=0x1708900) at kernel/qcoreapplication.cpp:732
#49 0x00007fdb665f8c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0xd74350) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#50 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0xd74350) at kernel/qcoreapplication.cpp:1373
#51 0x00007fdb66622653 in sendPostedEvents (s=0xda0590) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#52 postEventSourceDispatch (s=0xda0590) at kernel/qeventdispatcher_glib.cpp:277
#53 0x00007fdb61ddb342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#54 0x00007fdb61ddf2a8 in ?? () from /lib/libglib-2.0.so.0
#55 0x00007fdb61ddf45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#56 0x00007fdb66622193 in QEventDispatcherGlib::processEvents (this=0xd73e60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#57 0x00007fdb672d9a4e in QGuiEventDispatcherGlib::processEvents (this=0x1474220, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#58 0x00007fdb665f4a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#59 0x00007fdb665f4dec in QEventLoop::exec (this=0x7fffc5b0e1b0, flags=) at kernel/qeventloop.cpp:201
#60 0x00007fdb665f8ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#61 0x00007fdb6a4df90f in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../../apps/dolphin/src/main.cpp:98
#62 0x00007fdb6a131d8e in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffc5b0e788) at libc-start.c:226
#63 0x0000000000400659 in _start ()

Reported using DrKonqi
Comment 1 Hugo Pereira Da Costa 2010-11-21 03:17:51 UTC
yes. Definitely something to do with oxygen.
Thanks Dario
Comment 2 Hugo Pereira Da Costa 2010-11-22 12:33:19 UTC
mmm. Can't reproduce (after ~10 attempts at re-doing whats described in first comment)
Comment 3 Alvaro Manuel Recio Perez 2010-11-22 12:59:04 UTC
I'm the original reporter. You're right, I can't get it to crash doing what I originally described. However, while trying to do that, Dolphin crashed twice but I'm not sure how or if it's due to the same bug.

Here's the stack trace from this new crash. Is it there something else I could do to help you debug this problem?


Application: Dolphin (dolphin), signal: Aborted
[Current thread is 1 (Thread 0x7f5b10ee4760 (LWP 21933))]

Thread 2 (Thread 0x7f5afcfc0710 (LWP 21937)):
#0  0x00007f5b107c7203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f5b083b9009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f5b083b945c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f5b0cbfc1e6 in QEventDispatcherGlib::processEvents (this=0x21d5f10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f5b0cbcea02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f5b0cbcedec in QEventLoop::exec (this=0x7f5afcfbfdb0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f5b0cad92fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f5b0cbae5f8 in QInotifyFileSystemWatcherEngine::run (this=0x255b050) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f5b0cadc27e in QThreadPrivate::start (arg=0x255b050) at thread/qthread_unix.cpp:266
#9  0x00007f5b0a941971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f5b107d394d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f5b10ee4760 (LWP 21933)):
[KCrash Handler]
#6  0x00007f5b10720ba5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f5b107246b0 in abort () at abort.c:92
#8  0x00007f5b1075a43b in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007f5b107644b6 in malloc_printerr (action=3, str=0x7f5b108380a0 "double free or corruption (out)", ptr=<value optimized out>) at malloc.c:6283
#10 0x00007f5b1076ac83 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#11 0x00007f5b0caf8d98 in QHashData::free_helper (this=0x2b1c080, node_delete=0x7f5b0d8d5970 <QHash<unsigned int, int>::deleteNode2(QHashData::Node*)>) at tools/qhash.cpp:272
#12 0x00007f5b0da88410 in freeData (this=0x2945890, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:568
#13 ~QHash (this=0x2945890, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:284
#14 ~QMultiHash (this=0x2945890, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qhash.h:922
#15 QTextFormatCollection::~QTextFormatCollection (this=0x2945890, __in_chrg=<value optimized out>) at text/qtextformat.cpp:3069
#16 0x00007f5b0daa3f9b in QTextDocumentPrivate::~QTextDocumentPrivate (this=0x29457b0, __in_chrg=<value optimized out>) at text/qtextdocument_p.cpp:296
#17 0x00007f5b0cbe946c in cleanup (this=<value optimized out>, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:62
#18 ~QScopedPointer (this=<value optimized out>, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:100
#19 QObject::~QObject (this=<value optimized out>, __in_chrg=<value optimized out>) at kernel/qobject.cpp:963
#20 0x00007f5b0da8e3e7 in QTextDocument::~QTextDocument (this=0x55ad, __in_chrg=<value optimized out>) at text/qtextdocument.cpp:350
#21 0x00007f5b0cbe1d5f in QObjectPrivate::deleteChildren (this=0x2ab0450) at kernel/qobject.cpp:1957
#22 0x00007f5b0cbe941b in QObject::~QObject (this=<value optimized out>, __in_chrg=<value optimized out>) at kernel/qobject.cpp:945
#23 0x00007f5b0da613c7 in QTextControl::~QTextControl (this=0x55ad, __in_chrg=<value optimized out>) at text/qtextcontrol.cpp:793
#24 0x00007f5b0dc2864b in QLabelPrivate::clearContents (this=0x2aafd50) at widgets/qlabel.cpp:1343
#25 0x00007f5b0dc29409 in QLabel::~QLabel (this=0x23e0d20, __in_chrg=<value optimized out>) at widgets/qlabel.cpp:262
#26 0x00007f5b0f6157d7 in Nepomuk::TagWidgetPrivate::buildTagHash (this=0x23d8f50, tags=...) at ../../nepomuk/ui/tagwidget.cpp:93
#27 0x00007f5b0f615d49 in Nepomuk::TagWidgetPrivate::selectTags (this=0x55ad, tags=...) at ../../nepomuk/ui/tagwidget.cpp:192
#28 0x00007f5b0f615e7d in Nepomuk::TagWidget::setSelectedTags (this=0x23c4d70, tags=...) at ../../nepomuk/ui/tagwidget.cpp:345
#29 0x00007f5b0eb58eab in KFileMetaDataProvider::setValue (this=0x217f920, metaDataUri=<value optimized out>, value=...) at ../../kio/kfile/kfilemetadataprovider.cpp:408
#30 0x00007f5b0eb5d327 in KFileMetaDataWidget::Private::slotLoadingFinished (this=0x1e7c110) at ../../kio/kfile/kfilemetadatawidget.cpp:392
#31 0x00007f5b0eb5d965 in KFileMetaDataWidget::qt_metacall (this=0x1e79f10, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbbe569d0) at ./kfilemetadatawidget.moc:87
#32 0x00007f5b0cbe7b27 in QMetaObject::activate (sender=0x217f920, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#33 0x00007f5b0eb595ea in KFileMetaDataProvider::Private::slotLoadingFinished (this=0x23dcde0, finishedThread=0x27a7fc0) at ../../kio/kfile/kfilemetadataprovider.cpp:177
#34 0x00007f5b0eb59765 in KFileMetaDataProvider::qt_metacall (this=0x217f920, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbbe56b90) at ./kfilemetadataprovider_p.moc:93
#35 0x00007f5b0cbe7b27 in QMetaObject::activate (sender=0x27a7fc0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#36 0x00007f5b0eb9ad8f in KLoadFileMetaDataThread::finished (this=0x55ad, _t1=0x27a7fc0) at ./kloadfilemetadatathread_p.moc:89
#37 0x00007f5b0eb9ae21 in KLoadFileMetaDataThread::qt_metacall (this=0x27a7fc0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7f5aec048400) at ./kloadfilemetadatathread_p.moc:77
#38 0x00007f5b0cbe1bde in QObject::event (this=0x27a7fc0, e=0x55ad) at kernel/qobject.cpp:1219
#39 0x00007f5b0d800fdc in QApplicationPrivate::notify_helper (this=0x1e79af0, receiver=0x27a7fc0, e=0x7f5aec0289f0) at kernel/qapplication.cpp:4396
#40 0x00007f5b0d806aed in QApplication::notify (this=0x7fffbbe57630, receiver=0x27a7fc0, e=0x7f5aec0289f0) at kernel/qapplication.cpp:4277
#41 0x00007f5b0e554526 in KApplication::notify (this=0x7fffbbe57630, receiver=0x27a7fc0, event=0x7f5aec0289f0) at ../../kdeui/kernel/kapplication.cpp:310
#42 0x00007f5b0cbcfcdc in QCoreApplication::notifyInternal (this=0x7fffbbe57630, receiver=0x27a7fc0, event=0x7f5aec0289f0) at kernel/qcoreapplication.cpp:732
#43 0x00007f5b0cbd2c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x1e4c350) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#44 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x1e4c350) at kernel/qcoreapplication.cpp:1373
#45 0x00007f5b0cbfc653 in sendPostedEvents (s=0x1e76190) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#46 postEventSourceDispatch (s=0x1e76190) at kernel/qeventdispatcher_glib.cpp:277
#47 0x00007f5b083b5342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#48 0x00007f5b083b92a8 in ?? () from /lib/libglib-2.0.so.0
#49 0x00007f5b083b945c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#50 0x00007f5b0cbfc193 in QEventDispatcherGlib::processEvents (this=0x1e4be60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#51 0x00007f5b0d8b3a4e in QGuiEventDispatcherGlib::processEvents (this=0x55ad, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#52 0x00007f5b0cbcea02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#53 0x00007f5b0cbcedec in QEventLoop::exec (this=0x7fffbbe57570, flags=) at kernel/qeventloop.cpp:201
#54 0x00007f5b0cbd2ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#55 0x00007f5b10ab990f in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../../apps/dolphin/src/main.cpp:98
#56 0x00007f5b1070bd8e in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffbbe57b48) at libc-start.c:226
#57 0x0000000000400659 in _start ()
Comment 4 Hugo Pereira Da Costa 2010-11-22 13:39:53 UTC
This second crash is not related to oxygen. Its either Qt, Dolphin, or nepomuk. I'd suggest you create a different bug report with this one.
Comment 5 Alvaro Manuel Recio Perez 2010-11-22 13:43:29 UTC
Ok. Then I guess the original bug is not valid anymore. At least, I can't reproduce it now (KDE SC 4.5.3). Thanks for your work!
Comment 6 Hugo Pereira Da Costa 2011-09-22 18:41:25 UTC
... so closing.